Get model run status & results
Retrieve the details of an existing Mental Wellness model run, including results if they are available.
Authentication
x-api-keystring
Your API Activation Key
Path parameters
model_run_id
Response
Details of model run's current state
id
The id of the existing model run
createdAt
When the model run was submitted to the API
status
Current status of the model run. Possible values:
* `CREATED`: Model run created; Waiting for files to be uploaded or thymia activities to be completed
* `RUNNING`: All input to model has been supplied and the model is being executed
* `COMPLETE_OK`: Model execution completed ok and results are available
* `COMPLETE_ERROR`: Model execution completed with error and no results available
Allowed values:
userLabel
Label of the user that this model run was submitted for
deleteData
Boolean flag indicating if user data is to be deleted after the completion of the model run.
runAt
The time the model run started executing and the status changed to RUNNING. This is after all input to the model has been supplied
completedAt
When the model run finished processing and either results or an error reason are available; only populated once the model run completes
errorReason
Only populated if the model run ended with COMPLETE_ERROR status
warnings
Contain warnings about potential issues that occurred during the model run.
results
Only populated if the model run ended with COMPLETE_OK status
errorCode
Only populated if the model run ended with `COMPLETE_ERROR` status. Meaning of each error code:
* `ERR_RECORDING_INVALID_FORMAT` - The recording supplied was not in supported file format.
* `ERR_RECORDING_TOO_SHORT` - The recording supplied contained less than the minimum required amount of 10 seconds of speech.
* `ERR_RECORDING_TOO_LONG` - The recording supplied exceeded the maximum allowed length of 3 minutes.
* `ERR_TRANSCRIPTION_FAILED` - Couldn't determine speech in the recording supplied.
* `ERR_INTERNAL` - An internal error occurred.
Allowed values:
activityType
The activity type requested when creating the model run. Only populated if using the Thymia Activity Plugin and specifying an activity type (instead of using the default type).
dataToDelete
An array of data types to indicate which data inputs should be deleted after the completion of the model run.
Allowed values:
model
The version of model used in the model run.